module.exports = {
  // 提交流程
  messages: {
    type: '选择本次提交类型：',
    customScope: '\n请输入修改范围：',
    subject: '填写简短精炼的变更描述：\n',
    body: '填写更详细的变更描述使用 "|" 换行:\n',
    confirmCommit: '确认使用以上信息提交？(y/n)',
  },
  // 跳过步骤
  skipQuestions: ['footer'],
  // 可选类型
  types: [
    { value: 'feat', name: 'feat:     添加新功能' },
    { value: 'fix', name: 'fix:      修复bug' },
    { value: 'docs', name: 'docs:     文档变更' },
    { value: 'style', name: 'style:    仅仅修改了空格、格式缩进、逗号等等，不改变代码逻辑' },
    { value: 'refactor', name: 'refactor: 代码重构，没有加新功能或者修复bug' },
    { value: 'perf', name: 'perf:     优化相关，比如提升性能、体验' },
    { value: 'test', name: 'test:     测试' },
    { value: 'chore', name: 'chore:    改变构建流程、或者增加依赖库、工具等' },
    { value: 'revert', name: 'revert:   回滚到上一个版本' },
    { value: 'build', name: 'build:    部署版本' },
  ],
  breaklineChar: '|',
  subjectLimit: 100,
}
